LIBMTP_playlist_struct(3)

NAME
libmtp -

SYNOPSIS

#include <libmtp.h>

  Data Fields

uint32_t playlist_id
uint32_t parent_id
uint32_t storage_id
char * name
uint32_t * tracks
uint32_t no_tracks
LIBMTP_playlist_t * next

Detailed Description

MTP Playlist structure

Examples
getplaylist.c, and playlists.c.

Field Documentation

  char* LIBMTP_playlist_struct::name
Name of playlist

Examples
playlists.c.

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_destroy_playlist_t(), LIBMTP_Get_Playlist(), LIBMTP_Get_Playlist_List(), LIBMTP_Set_Playlist_Name(), and LIBMTP_Update_Playlist().

  LIBMTP_playlist_t* LIBMTP_playlist_struct::next
Next playlist or NULL if last playlist

Examples
playlists.c.

Referenced by LIBMTP_Get_Playlist_List().

  uint32_t LIBMTP_playlist_struct::no_tracks
The number of tracks in this playlist

Examples
getplaylist.c, and playlists.c.

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_Get_Playlist(), LIBMTP_Get_Playlist_List(), and LIBMTP_Update_Playlist().

  uint32_t LIBMTP_playlist_struct::parent_id
ID of parent folder

Examples
playlists.c.

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_Get_Playlist(), and LIBMTP_Get_Playlist_List().

  uint32_t LIBMTP_playlist_struct::playlist_id
Unique playlist ID

Examples
playlists.c.

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_Get_Playlist(), LIBMTP_Get_Playlist_List(), LIBMTP_new_playlist_t(), LIBMTP_Set_Playlist_Name(), and LIBMTP_Update_Playlist().

  uint32_t LIBMTP_playlist_struct::storage_id
ID of storage holding this playlist

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_Get_Playlist(), and LIBMTP_Get_Playlist_List().

  uint32_t* LIBMTP_playlist_struct::tracks
The tracks in this playlist

Examples
getplaylist.c, and playlists.c.

Referenced by LIBMTP_Create_New_Playlist(), LIBMTP_destroy_playlist_t(), LIBMTP_Get_Playlist(), LIBMTP_Get_Playlist_List(), and LIBMTP_Update_Playlist().

Author

Generated automatically by Doxygen for libmtp from the source code.